import 'package:flutter_test/flutter_test.dart';
import 'package:osam/domain/base_state/base_state.dart';

void main() {
  test('fits', () async {
    final e = E();
    e.propertyStream((e) => e.list).listen((data) {
      print(data);
    });
    await e.updateAsync((e) => e.list.add(1));
    await e.updateAsync((e) => e.list.add(2));
  });
}

// ignore: must_be_immutable
class E extends BaseState<E> {
  final list = [];

  @override
  List<Object> get props => [list];
}
