import 'package:osam/domain/usecase_container/usecase_container.dart';
import 'package:osam/osam.dart';

import '../domain/usecase.dart';
import 'ui_state.dart';

class MyPresenter extends Presenter<UiState> {
  CounterUseCase get counterUseCase => useCaseContainer.useCase<CounterUseCase>();

  Future<void> inc() async => await counterUseCase.increment();

  ValueStream<int> get numberValue => counterUseCase.numberValue;
}
