import 'package:flutter/foundation.dart';

class BaseValue<T> extends ValueNotifier<T> {
  var numberOfItems = 0;

  BaseValue(value) : super(value) {
    if (value is Iterable) {
      numberOfItems = value.length;
    }
  }
}
